#ifndef _TK_COLOR_OPTION_H_
#define _TK_COLOR_OPTION_H_

#include "tk_baseoption.h"

class TkColorOption:public TkBaseOption
{
	int red,green,blue;
	string value;
	bool isReferencedAsString;
protected:
	void doSerialize(TiXmlElement& element) const;
	void doDeserialize(const TiXmlElement& element);
public:
	static TXmlObject* newObject()
	{
		return new TkColorOption();
	}

	static const char* type;
	const char* getType() const;

	TkColorOption();
	TkColorOption(int red,int green,int blue);

	string& toString() const;
	void fromObject(Tcl_Obj* object);
};

#endif/*_TK_COLOR_OPTION_H_*/
